Converting Selenium tests to Behat tests

Bug #1426983 reported by Jinelle Foley-Barnes on 2015-03-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Unassigned
15.04
Wishlist
Unassigned

Bug Description

Hi,

This is an added feature for the 15.04 release.

The current Selenium IDE test will be converted to Behat tests so we can regression test and prevent bugs before the release.
This bug number will be attached to the Gerrit patches for the Selenium tests from now on so they can all be tracked on Launchpad.

Regards,
Jinelle

Reviewed: https://reviews.mahara.org/4314
Committed: http://gitorious.org/mahara/mahara/commit/ba6b64bdfff1f5fe85ecd70173e0caf586c91f56
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit ba6b64bdfff1f5fe85ecd70173e0caf586c91f56
Author: Eduardo Schicker <email address hidden>
Date: Tue Feb 24 12:40:28 2015 +1300

Behat test (Bug 1426983): Editing admin profile

Change-Id: I1385d6e7566987daee05bdbd7963c21659261b69
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4342

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4343

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4344

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4346

Reviewed: https://reviews.mahara.org/4346
Committed: http://gitorious.org/mahara/mahara/commit/db0a7ca0a93b3dc098aae419b8d85e586a823592
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit db0a7ca0a93b3dc098aae419b8d85e586a823592
Author: Eduardo Schicker <email address hidden>
Date: Wed Mar 4 10:45:56 2015 +1300

Behat Test: Group memeber sorted by (Bug 1426983)

Selenium test

Change-Id: I482f221a5d4508ac10e4c2587421b675c226de76

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4355

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4356

Reviewed: https://reviews.mahara.org/4356
Committed: http://gitorious.org/mahara/mahara/commit/0755766c36e695d66d6d2564ecf314bac2b88c70
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 0755766c36e695d66d6d2564ecf314bac2b88c70
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 12:57:58 2015 +1300

Behat test: Create external links (Bug 1426983)

Change-Id: Ice4db030da0ca23af78cef9f69e056d9ca5dccad

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4352
Committed: http://gitorious.org/mahara/mahara/commit/518a78e3e810a734ba9d34439009df853afbdc66
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 518a78e3e810a734ba9d34439009df853afbdc66
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 10:29:22 2015 +1300

Behat Test: Sort portfolio pages (Bug 1426983)

Change-Id: I2fbaf7ba91e105e2fbe08eb06b23ff97850b30a5
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4363

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4364

Reviewed: https://reviews.mahara.org/4364
Committed: http://gitorious.org/mahara/mahara/commit/08e4f8d70fced0837082477526557d3462560500
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 08e4f8d70fced0837082477526557d3462560500
Author: Eduardo Schicker <email address hidden>
Date: Fri Mar 6 14:47:17 2015 +1300

Behat Test: Creating folders (Bug 1426983)

Change-Id: Iac8c1c58859f8a2c4cd5b5ae4468fb9c5b2f4bb6
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4344
Committed: http://gitorious.org/mahara/mahara/commit/85bd2d464befbb49073b0220b97d7b4851619804
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 85bd2d464befbb49073b0220b97d7b4851619804
Author: Eduardo Schicker <email address hidden>
Date: Wed Mar 4 09:58:15 2015 +1300

Behat Test: Secret URL access button (Bug 1426983)

This test has one broken step it cant identify the secret url button because there's no ID. (See Bug 1427845)

Change-Id: Id0e65f3f40c980813eb7ffadf6665c22c164afff
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Changed in mahara:
status: New → In Progress
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4343
Committed: http://gitorious.org/mahara/mahara/commit/5097d34d800455d59e7d1af9467fbd4e8beb5ff1
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5097d34d800455d59e7d1af9467fbd4e8beb5ff1
Author: Eduardo Schicker <email address hidden>
Date: Tue Mar 3 16:54:55 2015 +1300

Behat test: Sending multiple messages (Bug 1426983)

This is a converted selenium test, and it works but I added one step to the end to check for error messages becuase they are appearing. So that's why it will fail.

Change-Id: I5858676c0c97eec186f7d7be8faacd7030dc17a8
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Reviewed: https://reviews.mahara.org/4533
Committed: http://gitorious.org/mahara/mahara/commit/d4c7c3e5cde51d646065e2fec57b1911793b8e18
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit d4c7c3e5cde51d646065e2fec57b1911793b8e18
Author: Eduardo Schicker <email address hidden>
Date: Tue Mar 3 16:54:55 2015 +1300

Behat test: Sending multiple messages (Bug 1426983)

This is a converted selenium test, and it works but I added one step to the end to check for error messages becuase they are appearing. So that's why it will fail.

Change-Id: I5858676c0c97eec186f7d7be8faacd7030dc17a8
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4309
Committed: http://gitorious.org/mahara/mahara/commit/587da90ddf7470355aec16f33c37b7491e7ae890
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 587da90ddf7470355aec16f33c37b7491e7ae890
Author: Eduardo Schicker <email address hidden>
Date: Tue Feb 24 10:47:06 2015 +1300

Behat test (Selenium): Randomly clicking in Mahara. Bug 1426983

This test is a converted Selenium that clicks around Mahara
and tests the menus and submenus and a few links/buttons too.

Change-Id: Ia873f0095365dd6c9589b60e119fbd4fa5c75646
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Reviewed: https://reviews.mahara.org/4542
Committed: http://gitorious.org/mahara/mahara/commit/2c67e948566ad27250426a33814f03ced9d03b12
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 2c67e948566ad27250426a33814f03ced9d03b12
Author: Eduardo Schicker <email address hidden>
Date: Tue Feb 24 10:47:06 2015 +1300

Behat test (Selenium): Randomly clicking in Mahara. Bug 1426983

This test is a converted Selenium that clicks around Mahara
and tests the menus and submenus and a few links/buttons too.

Change-Id: Ia873f0095365dd6c9589b60e119fbd4fa5c75646
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4341
Committed: http://gitorious.org/mahara/mahara/commit/3d98863f41dd9520e52f26e8b975e2deb4e8fbce
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3d98863f41dd9520e52f26e8b975e2deb4e8fbce
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 3 14:45:38 2015 +1300

Behat test: Editing resume page (Bug 1426983)

This test is broken because dialogue boxes are popping up confirming if you want to leave the page or not.

Change-Id: If93b96acaa41ed0891d23debd5f683c03547e381

Reviewed: https://reviews.mahara.org/4605
Committed: http://gitorious.org/mahara/mahara/commit/ddab1c1f90d32a6e7fe1f89d677c1c8943c5a8a0
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit ddab1c1f90d32a6e7fe1f89d677c1c8943c5a8a0
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Mar 3 14:45:38 2015 +1300

Behat test: Editing resume page (Bug 1426983)

This test is broken because dialogue boxes are popping up confirming if you want to leave the page or not.

Change-Id: If93b96acaa41ed0891d23debd5f683c03547e381

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
milestone: 15.04.0 → 15.04.1
tags: added: has-behat
Aaron Wells (u-aaronw) on 2015-04-21
summary: - Converting Selenim tests to Behat tests
+ Converting Selenium tests to Behat tests

Reviewed: https://reviews.mahara.org/4342
Committed: http://gitorious.org/mahara/mahara/commit/67d3472168c5296b16c4ff98797c96e3f0139e16
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 67d3472168c5296b16c4ff98797c96e3f0139e16
Author: Eduardo Schicker <email address hidden>
Date: Tue Mar 3 16:08:37 2015 +1300

Behat Test: Creating portfolio page (Bug 1426983)

This test needs to be able to expand nodes.

Block titles needs to be able to be clicked somehow that's human
readable if possible.

Change-Id: Ib79a4916b72643836fa7e43e558671c3b97324ad

Reviewed: https://reviews.mahara.org/4700
Committed: http://gitorious.org/mahara/mahara/commit/443e7b0ec745beaeba7b14af1fa02676c1591593
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 443e7b0ec745beaeba7b14af1fa02676c1591593
Author: Eduardo Schicker <email address hidden>
Date: Tue Mar 3 16:08:37 2015 +1300

Behat Test: Creating portfolio page (Bug 1426983)

This test needs to be able to expand nodes.

Block titles needs to be able to be clicked somehow that's human
readable if possible.

Change-Id: Ib79a4916b72643836fa7e43e558671c3b97324ad

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4694
Committed: http://gitorious.org/mahara/mahara/commit/a30b56dddda700bb7b1875948e5411170cc64e03
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit a30b56dddda700bb7b1875948e5411170cc64e03
Author: Robert Lyon <email address hidden>
Date: Fri Apr 24 14:35:27 2015 +1200

Adding a label for the forum topic list checkbox (Bug #1426983)

So that behat can find it and manipulate it

Change-Id: I4a4093cb5273285706f664f3de13ab26d4cf9c8e
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4736

Reviewed: https://reviews.mahara.org/4360
Committed: http://gitorious.org/mahara/mahara/commit/26ee46631ff1b93926799a96620b1e2a90d6f657
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 26ee46631ff1b93926799a96620b1e2a90d6f657
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 16:45:03 2015 +1300

Behat Test: Multiple groups on a page(Bug 1426983)

This has one step that needs an ID tag added to it so Behat can click it. The bug number
it's dependendent on is Bug (1428456)

Change-Id: I1b08441eb30348fbafed564bcaccf5817470570f
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Reviewed: https://reviews.mahara.org/4739
Committed: http://gitorious.org/mahara/mahara/commit/8a843a636e5aa6fe46a5f45849043c12b5833d6c
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 8a843a636e5aa6fe46a5f45849043c12b5833d6c
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 16:45:03 2015 +1300

Behat Test: Multiple groups on a page(Bug 1426983)

This has one step that needs an ID tag added to it so Behat can click it. The bug number
it's dependendent on is Bug (1428456)

Change-Id: I1b08441eb30348fbafed564bcaccf5817470570f
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4736
Committed: http://gitorious.org/mahara/mahara/commit/540849bf09c022f89e654bcdc3746773d2091dd7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 540849bf09c022f89e654bcdc3746773d2091dd7
Author: Robert Lyon <email address hidden>
Date: Tue May 5 08:47:59 2015 +1200

Adding a label for the forum topic list checkbox (Bug #1426983)

Fixing problem where user can't click the topic link and get to the
topic

Change-Id: If2d5f60a5a80c84a889962242e4a1bc5eb890cff
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4363
Committed: http://gitorious.org/mahara/mahara/commit/e10abeb2cfe074ecc8a36d74a81fcf016ae73e43
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e10abeb2cfe074ecc8a36d74a81fcf016ae73e43
Author: Eduardo Schicker <email address hidden>
Date: Fri Mar 6 12:58:16 2015 +1300

Behat test: Moving group pages (Bug 1426983)

Change-Id: I367a1ca31274c23a129435c34dd18077f1db35cf
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4756

Reviewed: https://reviews.mahara.org/4730
Committed: http://gitorious.org/mahara/mahara/commit/2eef21fe3acc2d142c93e43b421861a9037e2601
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 2eef21fe3acc2d142c93e43b421861a9037e2601
Author: Robert Lyon <email address hidden>
Date: Fri Apr 24 14:35:27 2015 +1200

Adding a label for the forum topic list checkbox (Bug #1426983)

So that behat can find it and manipulate it

Change-Id: I4a4093cb5273285706f664f3de13ab26d4cf9c8e
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4744
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7f5b2d23852e667a068508fe9b1e82081c5fce37
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 7f5b2d23852e667a068508fe9b1e82081c5fce37
Author: Eduardo Schicker <email address hidden>
Date: Fri Mar 6 12:58:16 2015 +1300

Behat test: Moving group pages (Bug 1426983)

Change-Id: I367a1ca31274c23a129435c34dd18077f1db35cf
Signed-off-by: Jinelle Foley-Barnes <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4355
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/917573ea2c420d22ddfcaeda09c053f8dac39908
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 917573ea2c420d22ddfcaeda09c053f8dac39908
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 12:20:48 2015 +1300

Behat Test: Adding tags (Bug 1426983.)

Trying to get the journal entry to be interracted with
Change-Id: Ibe98e4ba0093a24a45a51f1b58c33361252c5380

Reviewed: https://reviews.mahara.org/4803
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/c1da79144b89b0138bd2f3b63268bc26a51079e1
Submitter: Aaron Wells (<email address hidden>)
Branch: 15.04_STABLE

commit c1da79144b89b0138bd2f3b63268bc26a51079e1
Author: Eduardo Schicker <email address hidden>
Date: Thu Mar 5 12:20:48 2015 +1300

Behat Test: Adding tags (Bug 1426983.)

Trying to get the journal entry to be interracted with
Change-Id: Ibe98e4ba0093a24a45a51f1b58c33361252c5380
(cherry picked from commit 917573ea2c420d22ddfcaeda09c053f8dac39908)

Reviewed: https://reviews.mahara.org/4825
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7398010583b2dbfecf6ed8a429e2e0b36ae343f1
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 7398010583b2dbfecf6ed8a429e2e0b36ae343f1
Author: Jinelle Foley-Barnes <email address hidden>
Date: Tue Jun 9 14:27:24 2015 +1200

editing behat test: Displaying groups on page

(Bug 1426983)

Change-Id: I57d74ae409df367a266e5537fb4b9fc9454542a6

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5023
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/36ce2ba0dbf5f4fa5db30f19e864a40eaf36e92a
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 36ce2ba0dbf5f4fa5db30f19e864a40eaf36e92a
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Jul 30 13:15:13 2015 +1200

Amended behat test: Resume page Bug 1426983

I added a line to upload a file into the resume so we can test the file uploader
seeing as it's slightly different in every place.

Change-Id: I957d6f023c40031dad3b07a9813ad649bca4fcd1

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7704

Reviewed: https://reviews.mahara.org/7701
Committed: https://git.mahara.org/mahara/mahara/commit/c99a3f41dc009c9eb262b5b4ff038074d137e4b7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c99a3f41dc009c9eb262b5b4ff038074d137e4b7
Author: Niranjan Bandi <email address hidden>
Date: Thu Apr 27 14:40:56 2017 +1200

Bug 1426983:Changes for behat test for secret URL

Change-Id: I0bcfef34e743c17b51d3d6ab9127c47a90ec46f3

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7704
Committed: https://git.mahara.org/mahara/mahara/commit/44df12bb69170b74b728888d5d70805b77582601
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 44df12bb69170b74b728888d5d70805b77582601
Author: Niranjan Bandi <email address hidden>
Date: Fri Apr 28 11:42:56 2017 +1200

Bug 1426983: Behat tests for sending multiple messages, charecter limit & friend request

Change-Id: I70f88a3bcb709c1239a16deff3bdb87c48b836a5

no longer affects: mahara/15.10
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers